/**
 * @module radio
 */

modules.define(
    'radio',
    ['i-bem__dom', 'control'],
    function(provide, BEMDOM, Control) {

/**
 * @exports
 * @class radio
 * @augments control
 * @bem
 */
provide(BEMDOM.decl({ block : this.name, baseBlock : Control }, /** @lends radio.prototype */{
    onSetMod : {
        'checked' : {
            'true' : function() {
                this.elem('control')
                    .attr('checked', true)
                    .prop('checked', true);
            },
            '' : function() {
                this.elem('control')
                    .removeAttr('checked')
                    .prop('checked', false);
            }
        }
    },

    _onChange : function() {
        this.hasMod('disabled') || this.setMod('checked');
    }
}, /** @lends radio */{
    live : function() {
        this.liveBindTo('change', this.prototype._onChange);
        return this.__base.apply(this, arguments);
    }
}));

});
